cURL
curl --request GET \ --url https://api.example.com/api/v1/assignment-profitability
{ "year": 2025, "employmentType": "w2", "averageNetProfit": 1850000, "averageProfitMargin": 0.62, "totalNetProfit": 3700000, "assignments": [ { "assignmentId": 1, "facility": "Memorial Hospital", "location": "Houston", "state": "TX", "agency": "TravelNurse Inc", "weeks": 13, "grossComp": 2955800, "taxableIncome": 2340000, "housingStipend": 175000, "mieStipend": 54600, "bonuses": 100000, "federalTax": 280000, "stateTax": 0, "seTax": 0, "totalTax": 280000, "linkedExpenses": 45000, "linkedMiles": 850, "linkedMileageDeduction": 59500, "netProfit": 2630800, "profitMargin": 0.89 } ] }
Get per-assignment net profit analysis with tax allocation.
curl -H "Authorization: Bearer <token>" \ "https://app.taxhomebase.com/api/v1/assignment-profitability?year=2025"
grossComp - totalTax - linkedExpenses
netProfit / grossComp